using System;
namespace Pecina
{
    internal class Program
    {
        static void UnosPodataka(out int n, out int l, out int[] stalaktiti)
        {
            int[] ulaz = Array.ConvertAll(Console.ReadLine().Split(' '), int.Parse);
            n = ulaz[0];
            l = ulaz[1];
            stalaktiti = Array.ConvertAll(Console.ReadLine().Split(' '), int.Parse);
        }

        static int NalazernjeIndeksa(int n, int l, int[] stalaktiti)
        {
            for(int i = 1; i <= n; i++)
            {
                if (stalaktiti[i - 1] <= l) return i;
            }
            return -1;
        }

        static void Main(string[] args)
        {
            UnosPodataka(out int n, out int l, out int[] stalaktiti);
            Console.WriteLine(NalazernjeIndeksa(n, l, stalaktiti));
        }
    }
}